
Application: gvSIG desktop - gvSIG feature requests #112
Change the name of some flaps within the New Layer wizard
12/21/2011 08:06 PM - Manuel Madrid

Status: Closed % Done: 100%
Priority: Urgent Spent time: 0.00 hour
Assignee: Jorge Piera
Category: Document view
Target version: 2.0.0-alpha4
gvSIG version: 2.0.0 Add-on resolve version:2.0.0
Keywords: Add-on resolve build: 2044
Has patch: No Proyecto:
Add-on name: Tools: New layer (org.gvsig.newlayer.app.extension)Hito:
Add-on version: 2.0.0
Description

Within the generic-filesystem explorer:

- Flap called "General" should be called "Basic".
- Flap called "Other" should be called "Advanced".

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 111: Reorgan... Closed 12/21/2011

History
#1 - 01/18/2012 10:28 PM - Joaquín  del Cerro Murciano
- Assignee set to Jorge Piera
- Target version set to 2.0.0-alpha4

Hasta donde entiendo pide que cambiemos en el xml de la definicion de parametros del shape, en dalfile, el nombre del grupo que va asociado a los
distintos parametros.
Supongo que sera sencillo cambiar "other" por "advanced".
No tengo tan claro el de "general" por "basic". Para eso igual habria que tocar en org.gvsig.tools, en la parte de swing, ya que por defecto mete una
pestaña "general" para los que no tienen grupo.
Como posible idea, propondria que en el xml se asignen todos los campos de los parametros a "basic" y retocar el codigo de tools para que no cree la
pestaña general si va a estar vacia, pero no se lo complejo que puede ser esto.

#2 - 01/18/2012 11:39 PM - Joaquín  del Cerro Murciano
- Add-on name changed from org.gvsig.gvsigapp to Tools: New layer (org.gvsig.newlayer.app.extension)

#3 - 01/25/2012 10:28 AM - Jorge Piera
- Status changed from New to In progress

#4 - 01/25/2012 12:16 PM - Jorge Piera
- % Done changed from 0 to 90

I've edited the xml's updating the "group" attribute.

gvsig-desktop:r37809
#5 - 01/25/2012 01:07 PM - Jorge Piera
- Status changed from In progress to Fixed
- % Done changed from 90 to 100
- Add-on resolve version set to 2.0.0
- Add-on resolve build set to 2044

The "General" tab is only created if there are one or more attributes without group.

gvsig-tools:r671

#6 - 11/15/2012 01:22 PM - Abenchara Socorro
- Status changed from Fixed to Closed
